.ruituo-core-values {
  --card-bg-color: #071B2D;
  --title-text-color: #fff;
  --font-title-size: 40px;
  --font-style: normal;
  --font-title-weight: 700;
  --line-height: 1.5;
  --bg-page: #032F56;
  --text-color: #c6cbd5;
  --text-dark: #111;
  --color-second: #004f96;
  --btn-hover: #ebb20b;
  --icon-size: 62px;
  --ruituo-inner-sub-title: 22px;
  background-color: var(--bg-page);
  padding: 120px 0;
}

.ruituo-core-values .title-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 80px;
}

.ruituo-core-values .title-box h2 {
      font-size: 40px;
    color: var(--title-text-color);
    margin-bottom: 15px;
    line-height: 60px;
}

.ruituo-core-values .title-line {
  width: 90px;
  border: 2px solid var(--color-primary);
}

.ruituo-core-values-swiper .swiper-slide {
  height: auto;
  display: flex;
}

.ruituo-core-values-container {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family);
  background-color: var(--card-bg-color);
  padding: 34px 30px;
  border-radius: 10px;
  transition: all 0.3s ease;
}
.ruituo-core-values-icon{
  width:62px;
  height:62px;
  background: var(--color-primary);
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.ruituo-core-values-container img {
  width: var(--icon-size);
  height: var(--icon-size);
  object-fit: cover;
}

.ruituo-core-values-container h3 {
  font-size: var(--ruituo-inner-sub-title);
  color: var(--title-text-color);
  margin-top: 22px;
  margin-bottom: 10px;
}

.ruituo-core-values-container p {
  font-size: 16px;
  line-height: var(--line-height);
  color: var(--text-color);
}

.ruituo-core-values-container:hover {
  background-color: var(--color-second);
}

.ruituo-core-values-container:hover p {
  color: var(--title-text-color);
}
.ruituo-core-values-container:hover .ruituo-core-values-icon svg path{
  fill:#114777;
}
.ruituo-core-values-swiper-warpper {
  position: relative;
  padding: 0 80px;
  margin: 0 -65px;
}


.ruituo-core-values .swiper-button-prev,
.ruituo-core-values .swiper-button-next {
  width: 46px;
  height: 44px;
  background-color: var(--color-second);
  border-radius: 4px;
  transition: all 0.3s ease;
}

.ruituo-core-values .swiper-button-prev {
  left: 0;
}

.ruituo-core-values .swiper-button-next {
  right: 0;
}

.ruituo-core-values i {
  font-size: 20px;
  color: var(--title-text-color);
  font-weight: bold;
}

.ruituo-core-values .swiper-button-prev::after,
.ruituo-core-values .swiper-button-next::after {
  content: none;
}

.ruituo-core-values .swiper-button-prev:hover,
.ruituo-core-values .swiper-button-next:hover {
  background-color: var(--color-primary);
  scale: 1.05;
}

@media screen and (min-width: 1800px) {
  .ruituo-core-values .container {
    max-width: 1500px;
  }
}

@media (max-width: 1200px) {
  .ruituo-core-values .title-box {
    margin-bottom: 50px;
  }

  .ruituo-core-values-swiper-warpper {
    padding: 0 60px;
    margin: 0 -32px;
  }
}

@media (max-width: 992px) {
  .ruituo-core-values {
    --ruituo-inner-sub-title: 20px;
    --icon-size: 50px;
  }

  .ruituo-core-values-container {
    padding: 30px 26px;
  }
  .ruituo-core-values-icon{
  width:42px;
  height:42px;
}
  .ruituo-core-values-icon svg{
    width:25px;
    height:25px;
  }
  .ruituo-core-values-container h3 {
    margin-top: 18px;
    margin-bottom: 8px;
  }

  .ruituo-core-values .title-box {
    margin-bottom: 40px;
  }

  .ruituo-core-values-swiper-warpper {
    padding: 0 50px;
    margin: 0 -16px;
  }

  .ruituo-core-values .swiper-button-prev,
  .ruituo-core-values .swiper-button-next {
    width: 42px;
    height: 40px;
  }
}

@media (max-width: 768px) {
  .ruituo-core-values {
    --icon-size: 44px;
  }

  .ruituo-core-values-container {
    padding: 26px 24px;
  }

  .ruituo-core-values-container h3 {
    margin-top: 14px;
    margin-bottom: 6px;
  }

  .ruituo-core-values .title-box {
    margin-bottom: 20px;
  }

  .ruituo-core-values .swiper-button-prev,
  .ruituo-core-values .swiper-button-next {
    width: 38px;
    height: 36px;
  }


}

@media (max-width: 576px) {
  .ruituo-core-values {
    --ruituo-inner-sub-title: 18px;
    --icon-size: 38px;
    padding: 60px 0;
  }

  .ruituo-core-values-container {
    padding: 22px 20px;
  }

  .ruituo-core-values .title-line {
    width: 60px;
  }

  .ruituo-core-values-container h3 {
    margin-top: 10px;
    margin-bottom: 4px;
  }

  .ruituo-core-values-swiper-warpper {
    /* padding: 0 40px;
    margin: 0 -8px; */
    padding: 0;
    margin: 0;
  }

  .ruituo-core-values .swiper-button-prev,
  .ruituo-core-values .swiper-button-next {
    width: 34px;
    height: 32px;
  }
}